VERSION 5.00
Object = "{5E9E78A0-531B-11CF-91F6-C2863C385E30}#1.0#0"; "msflxgrd.ocx"
Begin VB.Form frmCueList 
   Caption         =   "Cue Listing"
   ClientHeight    =   7095
   ClientLeft      =   13500
   ClientTop       =   1155
   ClientWidth     =   6525
   LinkTopic       =   "Form1"
   ScaleHeight     =   7095
   ScaleWidth      =   6525
   Begin VB.TextBox txtSelected 
      BackColor       =   &H00FFFFFF&
      Height          =   315
      Left            =   0
      TabIndex        =   1
      Top             =   540
      Width           =   6315
   End
   Begin MSFlexGridLib.MSFlexGrid MSFlexGrid1 
      Height          =   6195
      Left            =   0
      TabIndex        =   0
      Top             =   840
      Width           =   6435
      _ExtentX        =   11351
      _ExtentY        =   10927
      _Version        =   393216
      Cols            =   4
      AllowBigSelection=   0   'False
      ScrollTrack     =   -1  'True
   End
   Begin VB.Label Label1 
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   8.25
         Charset         =   0
         Weight          =   700
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   255
      Left            =   0
      TabIndex        =   5
      Top             =   300
      Width           =   6315
   End
   Begin VB.Label lblDate 
      Height          =   195
      Left            =   4260
      TabIndex        =   4
      Top             =   0
      Width           =   1995
   End
   Begin VB.Label lblShowName 
      Height          =   255
      Left            =   630
      TabIndex        =   3
      Top             =   -15
      Width           =   3015
   End
   Begin VB.Label Label2 
      Alignment       =   1  'Right Justify
      Caption         =   "Show:"
      Height          =   255
      Left            =   -15
      TabIndex        =   2
      Top             =   0
      Width           =   525
   End
   Begin VB.Menu mnuPrint 
      Caption         =   "&Print"
   End
   Begin VB.Menu mnuDeleteCue 
      Caption         =   "Delete Cue"
   End
   Begin VB.Menu mnuWindow 
      Caption         =   "Window"
      Begin VB.Menu mnuArrange 
         Caption         =   "Arrange All Windows"
         Shortcut        =   {F2}
      End
   End
   Begin VB.Menu mnuHelp 
      Caption         =   "Help"
      NegotiatePosition=   3  'Right
   End
End
Attribute VB_Name = "frmCueList"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False

Private Sub Form_Load()
labelGrid
Me.Width = Screen.Width - Me.Left
Me.Height = Screen.Height - Me.Top - 500
Form_Resize
End Sub
Private Sub Form_Resize()
gw = Me.Width - 100
gh = Me.Height - 1500
If gw < 1 Or gh < 1 Then Exit Sub
MSFlexGrid1.Width = gw
MSFlexGrid1.Height = gh
End Sub

Private Sub mnuArrange_Click()
frmMain.mnuArrange_Click
End Sub

Private Sub mnuDeleteCue_Click()
Dim theCueRow As Integer
' delete the currently highlighted cue
theCueRow = MSFlexGrid1.Row
If theCueRow > 0 Then
    MSFlexGrid1.RemoveItem theCueRow
    Unsaved = True
End If
End Sub

Private Sub mnuHelp_Click()
   Dim hwndHelp As Long
   'The return value is the window handle of the created help window.
    hwndHelp = HtmlHelp(hWnd, App.HelpFile & "::/cuelist_window.htm", HH_DISPLAY_TOC, ByVal 0&)
    If hwndHelp = 0 Then MsgBox "Could not open StageConsole.chm help file"
End Sub

Private Sub mnuPrint_Click()
' print out the cue list on the default printer
Printer.Print frmCueList.Caption
Printer.Print
Printer.FontName = "Courier New"
Printer.Print Format("Cue", "@@@@@");
Printer.Print Format("Time", "@@@@@");
Printer.Print Format("Title", " !@@@@@@@@@@@@@@@@@@@@@@@@@");

For i = 1 To 16
    Printer.Print Format(i, "@@@@");
Next i
Printer.Print
Printer.Print "  --- ---- ------------------------ --------------------------------------------------------------"
For i = 1 To MSFlexGrid1.Rows - 1
    MSFlexGrid1.Row = i
    MSFlexGrid1.Col = 0
    Printer.Print Format(MSFlexGrid1.Text, "@@@@@"); 'cue number
    MSFlexGrid1.Col = 1
    Printer.Print Format(MSFlexGrid1.Text, "@@@@@"); 'fade time
    MSFlexGrid1.Col = 2
    Printer.Print Format(MSFlexGrid1.Text, " !@@@@@@@@@@@@@@@@@@@@@@@@@"); 'cue Title
For j = 3 To MSFlexGrid1.Cols - 1
    MSFlexGrid1.Col = j
    Printer.Print Format(MSFlexGrid1.Text, "@@@@");
Next j
Printer.Print
Next i
Printer.EndDoc
End Sub
Private Sub MSFlexGrid1_Click()

If MSFlexGrid1.MouseCol = 0 Then
  
  MSFlexGrid1.Col = 0
  MSFlexGrid1.CellBackColor = vbYellow
  Label1 = "Cue: " & MSFlexGrid1.Text
  txtSelected.BackColor = vbWhite
Else
    MSFlexGrid1.CellBackColor = vbYellow
    txtSelected = MSFlexGrid1.Text
    txtSelected.BackColor = vbYellow
    txtSelected.SetFocus
    txtSelected.SelStart = 0
    txtSelected.SelLength = Len(txtSelected.Text)
End If
End Sub
Public Sub labelGrid()
MSFlexGrid1.Rows = 2
MSFlexGrid1.Cols = numChannels + 3
MSFlexGrid1.ColWidth(0) = 500
MSFlexGrid1.ColWidth(1) = 500
MSFlexGrid1.ColWidth(2) = 3500
   MSFlexGrid1.Col = 0
   MSFlexGrid1.Row = 0
   MSFlexGrid1.Text = "Cue"
   MSFlexGrid1.Col = 1
   MSFlexGrid1.Text = "Fade"
   MSFlexGrid1.Col = 2
   MSFlexGrid1.Text = "Title"
   MSFlexGrid1.Col = 0
   For i = 3 To numChannels + 2
        MSFlexGrid1.Col = i
        MSFlexGrid1.Text = i - 2
        MSFlexGrid1.ColWidth(i) = 400
   Next i
End Sub
Private Sub MSFlexGrid1_DblClick()
' if user doubleclicks on a cue number, it is loaded into the inactive scene
Dim selCue As String
If MSFlexGrid1.MouseCol = 0 Then
  MSFlexGrid1.CellBackColor = 0
  MSFlexGrid1.Col = 0
  selCue = MSFlexGrid1.Text
  If frmRun.sliderXfader.Value > 5 Then ' detect which scene is inactive
     loadSceneA selCue
  Else
     loadSceneB selCue
  End If
End If
End Sub
Private Sub MSFlexGrid1_LeaveCell()
   MSFlexGrid1.CellBackColor = 0
   txtSelected.BackColor = vbWhite
  ' check to make sure that a valid level is in the cell before leaving
End Sub
Private Sub txtSelected_Change()
If MSFlexGrid1.Col > 0 Then
    MSFlexGrid1.Text = txtSelected
    txtSelected.BackColor = vbYellow
End If
End Sub
Private Sub txtSelected_KeyUp(KeyCode As Integer, Shift As Integer)
Unsaved = True
End Sub
