VERSION 5.00
Begin VB.Form frmDevice 
   BorderStyle     =   3  'Fixed Dialog
   Caption         =   "Choose DMX interface device"
   ClientHeight    =   3210
   ClientLeft      =   300
   ClientTop       =   735
   ClientWidth     =   4035
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   3210
   ScaleWidth      =   4035
   ShowInTaskbar   =   0   'False
   Begin VB.CheckBox chkArtNet 
      Caption         =   "Enable ArtNet"
      Height          =   300
      Left            =   390
      TabIndex        =   6
      Top             =   2700
      Width           =   1980
   End
   Begin VB.Frame Frame1 
      Caption         =   "DMX device"
      Height          =   2220
      Left            =   180
      TabIndex        =   1
      Top             =   330
      Width           =   3795
      Begin VB.CommandButton cmdTest 
         Caption         =   "Test"
         Height          =   360
         Left            =   345
         TabIndex        =   9
         Top             =   1215
         Width           =   1020
      End
      Begin VB.ListBox devList 
         Height          =   1425
         Left            =   2220
         TabIndex        =   8
         Top             =   570
         Width           =   1500
      End
      Begin VB.TextBox txtCommPort 
         Height          =   300
         Left            =   1800
         TabIndex        =   5
         Text            =   "1"
         Top             =   810
         Width           =   315
      End
      Begin VB.OptionButton optDMXUSBpro 
         Caption         =   "Enttec DMX USB Pro"
         Height          =   390
         Left            =   180
         TabIndex        =   3
         Top             =   480
         Width           =   2745
      End
      Begin VB.OptionButton optOpenDMXUSB 
         Caption         =   "Enttec Open DMX USB"
         Height          =   360
         Left            =   180
         TabIndex        =   2
         Top             =   210
         Value           =   -1  'True
         Width           =   2400
      End
      Begin VB.Label lblResult 
         Caption         =   "Test Result"
         Height          =   315
         Left            =   165
         TabIndex        =   10
         Top             =   1755
         Width           =   1905
      End
      Begin VB.Label Label1 
         Alignment       =   1  'Right Justify
         Caption         =   "Serial Port number:"
         Height          =   285
         Left            =   270
         TabIndex        =   4
         Top             =   855
         Width           =   1500
      End
   End
   Begin VB.CommandButton cmdOK 
      Caption         =   "OK"
      Height          =   435
      Left            =   2715
      TabIndex        =   0
      Top             =   2655
      Width           =   1245
   End
   Begin VB.Label lblinfo 
      Caption         =   "Info"
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   8.25
         Charset         =   0
         Weight          =   700
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   270
      Left            =   180
      TabIndex        =   7
      Top             =   75
      Width           =   3765
   End
End
Attribute VB_Name = "frmDevice"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit
Private Declare Sub Sleep Lib "KERNEL32" (ByVal dwMilliseconds As Long)
Private Sub cmdOK_Click()
    If optOpenDMXUSB.Value = True Then DeviceType = "OpenDMXUSB"
    If optDMXUSBpro.Value = True Then
        DeviceType = "DMXUSBpro"
        PortNumber = Int(txtCommPort.Text)
    End If

' ArtNet
'ArtEnabled = chkArtNet.Checked ' in artnet.bas
'frmMain.ArtTimer.Enabled = ArtEnabled

    startDMX
    Me.Hide
End Sub

Private Sub cmdTest_Click()
Dim flush As String
    PortNumber = Int(txtCommPort.Text)
    On Error Resume Next
    If frmMain.MSComm1.PortOpen = False Then
        frmMain.MSComm1.CommPort = PortNumber
        frmMain.MSComm1.PortOpen = True
    End If
    If frmMain.MSComm1.PortOpen = False Then
       MsgBox "Failed to open USB DMX Pro on comm port: " & Str(PortNumber)
       Exit Sub
    Else
        flush = frmMain.MSComm1.Input
        USBDMXPro.Send_Serial_Request_Packet
        'USBDMXPro.Send_CFG_Request_Packet
        Sleep (100)
        If frmMain.MSComm1.InBufferCount > 0 Then
            lblResult.Caption = Str(Recieve_Packet(frmMain.MSComm1.Input))
            Else
            lblResult.Caption = "Nothing Recieved"
        End If
 End If
End Sub

Private Sub Form_Load()
    closeDMX
    ' display current settings
    lblinfo.Caption = "Current Device: " & DeviceType
    txtCommPort.Text = Str(PortNumber)
    If DeviceType = "DMXUSBpro" Then
       lblinfo.Caption = lblinfo.Caption & " on port: " & Trim(Str(PortNumber))
       optDMXUSBpro.Value = True
       USBDMXPro.SearchPorts
    End If
End Sub


Private Sub optDMXUSBpro_Click()
    USBDMXPro.SearchPorts
End Sub
