VERSION 5.00
Object = "{5E9E78A0-531B-11CF-91F6-C2863C385E30}#1.0#0"; "msflxgrd.ocx"
Begin VB.Form frmPatch 
   Caption         =   "SoftPatch"
   ClientHeight    =   8010
   ClientLeft      =   435
   ClientTop       =   870
   ClientWidth     =   2625
   LinkTopic       =   "Form1"
   ScaleHeight     =   8010
   ScaleWidth      =   2625
   Begin VB.TextBox txtSelected 
      Height          =   285
      Left            =   0
      TabIndex        =   1
      Top             =   480
      Width           =   2535
   End
   Begin MSFlexGridLib.MSFlexGrid MSFlexGrid1 
      Height          =   2955
      Left            =   60
      TabIndex        =   0
      Top             =   780
      Width           =   2115
      _ExtentX        =   3731
      _ExtentY        =   5212
      _Version        =   393216
   End
   Begin VB.Label lblDate 
      Height          =   255
      Left            =   0
      TabIndex        =   3
      Top             =   240
      Width           =   2595
   End
   Begin VB.Label lblPatchName 
      Height          =   195
      Left            =   0
      TabIndex        =   2
      Top             =   0
      Width           =   2595
   End
   Begin VB.Menu mnuFile 
      Caption         =   "&File"
      Begin VB.Menu mnuDefaultPatch 
         Caption         =   "&Default Patch"
      End
      Begin VB.Menu mnuOpenPatch 
         Caption         =   "&Open"
      End
      Begin VB.Menu mnuSavePatch 
         Caption         =   "&Save"
      End
   End
   Begin VB.Menu mnuView 
      Caption         =   "View"
      Begin VB.Menu mnuFaderList 
         Caption         =   "Fader List"
      End
   End
   Begin VB.Menu mnuPrintPatch 
      Caption         =   "&Print"
   End
End
Attribute VB_Name = "frmPatch"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit
Private Sub Form_Load()
    labelPatchGrid
    currentPatchName = "default 1:1 patch"
    frmPatch.lblPatchName = currentPatchName
    'Me.Width = Screen.Width - Me.Left
    'Me.Height = Screen.Height - Me.Top - 500
    Form_Resize
End Sub
Private Sub Form_Resize()
Dim w As Long
Dim h As Long
    If Me.Height < 2200 Then Me.Height = 2200
    Me.Width = 2700
    w = Me.Width - 100
    h = Me.Height - 1500
    If w < 1 Or h < 1 Then Exit Sub
    MSFlexGrid1.Width = w
    MSFlexGrid1.Height = h
End Sub
Sub labelPatchGrid()
Dim i As Integer
    MSFlexGrid1.Rows = 2
    MSFlexGrid1.Cols = 2
    MSFlexGrid1.ColWidth(0) = 1100
    MSFlexGrid1.ColWidth(1) = 1200
    
       MSFlexGrid1.Col = 0
       For i = 1 To 512
            
        MSFlexGrid1.Col = 0
        MSFlexGrid1.Text = i
        MSFlexGrid1.Col = 1
        MSFlexGrid1.Text = i
        MSFlexGrid1.AddItem " ", 1
    
       Next i
       'if row 1 is blank, delete it
    MSFlexGrid1.Row = 1
    'If MSFlexGrid1.Text = " " Then
    MSFlexGrid1.RemoveItem 1
       'sort all rows
    MSFlexGrid1.RowSel = frmCueList.MSFlexGrid1.Row
    MSFlexGrid1.Col = 0 ' sort by column 0
    MSFlexGrid1.Sort = flexSortNumericAscending
    
    labelColumns
End Sub
Public Sub labelColumns()
' label the column headers
   MSFlexGrid1.Col = 0
   MSFlexGrid1.Row = 0
   MSFlexGrid1.Text = "DMX Channel"
   MSFlexGrid1.Col = 1
   MSFlexGrid1.Text = "Fader Number"
End Sub
Private Sub mnuPrintPatch_Click()
Dim i, j, fader, pagenum As Integer
ReDim faderlist(numChannels + 1) As String
Dim spacer, header As String
' print out the patch list on the default printer
    spacer = "       "
    Printer.FontName = "Verdana"
    Printer.Print
    Printer.Print " " & frmPatch.Caption & " Listing By DMX Channel: " & currentPatchName
    Printer.Print
    Printer.FontName = "Courier New"
    header = Format("DMX", "@@@@@") & Format("Fader", "@@@@@@") & "      "
    Printer.Print header;
     Printer.Print header;
     Printer.Print header;
     Printer.Print header;
     Printer.Print header;
     Printer.Print header;
     Printer.Print header
    header = "---- -----" & spacer
    Printer.Print " " & header;
    Printer.Print header;
    Printer.Print header;
    Printer.Print header;
    Printer.Print header;
    Printer.Print header;
    Printer.Print header
    For i = 1 To 80  'MSFlexGrid1.Rows - 1
        MSFlexGrid1.Row = i
        MSFlexGrid1.Col = 0
        Printer.Print Format(MSFlexGrid1.Text, "@@@@@"); 'DMX Chan
        MSFlexGrid1.Col = 1
        Printer.Print Format(MSFlexGrid1.Text, "@@@@@"); 'fader chan
        Printer.Print spacer;
        MSFlexGrid1.Row = i + 80
        MSFlexGrid1.Col = 0
        Printer.Print Format(MSFlexGrid1.Text, "@@@@@"); 'DMX Chan
        MSFlexGrid1.Col = 1
        Printer.Print Format(MSFlexGrid1.Text, "@@@@@"); 'fader chan
        Printer.Print spacer;
        MSFlexGrid1.Row = i + 160
        MSFlexGrid1.Col = 0
        Printer.Print Format(MSFlexGrid1.Text, "@@@@@"); 'DMX Chan
        MSFlexGrid1.Col = 1
        Printer.Print Format(MSFlexGrid1.Text, "@@@@@"); 'fader chan
        Printer.Print spacer;
        MSFlexGrid1.Row = i + 240
        MSFlexGrid1.Col = 0
        Printer.Print Format(MSFlexGrid1.Text, "@@@@@"); 'DMX Chan
        MSFlexGrid1.Col = 1
        Printer.Print Format(MSFlexGrid1.Text, "@@@@@"); 'fader chan
        Printer.Print spacer;
        MSFlexGrid1.Row = i + 320
        MSFlexGrid1.Col = 0
        Printer.Print Format(MSFlexGrid1.Text, "@@@@@"); 'DMX Chan
        MSFlexGrid1.Col = 1
        Printer.Print Format(MSFlexGrid1.Text, "@@@@@"); 'fader chan
        Printer.Print spacer;
        MSFlexGrid1.Row = i + 400
        MSFlexGrid1.Col = 0
        Printer.Print Format(MSFlexGrid1.Text, "@@@@@"); 'DMX Chan
        MSFlexGrid1.Col = 1
        Printer.Print Format(MSFlexGrid1.Text, "@@@@@"); 'fader chan
        Printer.Print spacer;
        If (i + 480) <= 512 Then
            MSFlexGrid1.Row = i + 480
            MSFlexGrid1.Col = 0
            Printer.Print Format(MSFlexGrid1.Text, "@@@@@"); 'DMX Chan
            MSFlexGrid1.Col = 1
            Printer.Print Format(MSFlexGrid1.Text, "@@@@@") 'fader chan
        Else
            Printer.Print
        End If
    Next i
    ' end of page
    'make list of dmx channels assigned to faders
    For i = 1 To 512
        MSFlexGrid1.Row = i ' select dmx channel
        MSFlexGrid1.Col = 1 ' fader this dmx channel is assigned to
        fader = val(MSFlexGrid1.Text)
        If fader <= numChannels Then
          faderlist(fader) = faderlist(fader) & Trim(Str(i)) & " "
        End If
    Next i
    Printer.NewPage
    Printer.FontName = "Verdana"
    Printer.Print
    pagenum = 1
    Printer.Print " " & frmPatch.Caption & " Listing by Fader: " & currentPatchName & "          Page" & Str(pagenum)
    Printer.Print
    Printer.FontName = "Courier New"
    header = Format("Fader ", "!@@@@@@") & Format("DMX Channels", "!@@@@@@@@@@@@@@@@@@@@")
    Printer.Print " " & header
    header = "----- -------------------------------------------------------------------- "
    Printer.Print " " & header
    ' print the list
    For i = 1 To numChannels
        If i <= numChannels Then
            Printer.Print Format(i, " @@@@@ "); 'fader chan
            Printer.Print faderlist(i)
        End If
        If i Mod 80 = 0 Then ' PAGING
            Printer.NewPage
            Printer.FontName = "Verdana"
            pagenum = pagenum + 1
            Printer.Print
            Printer.Print " " & frmPatch.Caption & " Listing by Fader: " & currentPatchName & "          Page" & Str(pagenum)
            Printer.Print
            Printer.FontName = "Courier New"
            header = Format("Fader ", "!@@@@@@") & Format("DMX Channels", "!@@@@@@@@@@@@@@@@@@@@")
            Printer.Print " " & header
            header = "----- -------------------------------------------------------------------- "
            Printer.Print " " & header
            
        End If
    Next i
    Printer.EndDoc
End Sub
Private Sub mnuDefaultPatch_Click()
MSFlexGrid1.Clear
labelPatchGrid
currentPatchName = "default 1:1 patch"
frmPatch.lblPatchName = currentPatchName
End Sub
Sub mnuOpenPatch_Click()
    Dim response As String
    If UnsavedPatch = True Then
        response = MsgBox("Save changes first?", vbYesNo)
        If response = vbYes Then mnuSavePatch_Click
    End If
    
    frmMain.CommonDialog1.Filter = "Show Files (*.patch)|*.patch|All Files (*.*)|*.*"
    frmMain.CommonDialog1.DefaultExt = "patch"
    frmMain.CommonDialog1.ShowOpen
    currentPatchName = frmMain.CommonDialog1.FileName
    loadPatch (currentPatchName)
End Sub
Sub mnuSavePatch_Click()
    Dim savepatchname As String
    lblPatchName = InputBox("Name of Patch:", "Patch Name", currentPatchName)
    
    frmMain.CommonDialog1.FileName = lblPatchName
    frmMain.CommonDialog1.Filter = "Patch Files (*.patch)|*.patch|All Files (*.*)|*.*"
    frmMain.CommonDialog1.DefaultExt = "patch"
    frmMain.CommonDialog1.ShowSave
    If frmMain.CommonDialog1.CancelError = False Then
        savepatchname = frmMain.CommonDialog1.FileName
        If Len(savepatchname) > 0 Then savePatch (savepatchname)
        currentPatchName = lblPatchName
        frmPatch.Caption = "SoftPatch"
    End If
    UnsavedPatch = False
End Sub
Private Sub MSFlexGrid1_Click()
If MSFlexGrid1.MouseCol = 0 Then MSFlexGrid1.Col = 1
selRow
End Sub
Private Sub selRow()
    MSFlexGrid1.CellBackColor = vbYellow
    txtSelected = MSFlexGrid1.Text
    txtSelected.BackColor = vbYellow
    txtSelected.SelStart = 0
    txtSelected.SelLength = Len(txtSelected.Text)
    txtSelected.SetFocus
End Sub
Private Sub MSFlexGrid1_LeaveCell()
   MSFlexGrid1.CellBackColor = 0
End Sub
Private Sub txtSelected_Change()
 MSFlexGrid1.Col = 1
    MSFlexGrid1.Text = txtSelected
    patchdata(MSFlexGrid1.Row) = val(MSFlexGrid1.Text)
End Sub
Private Sub txtSelected_KeyUp(KeyCode As Integer, Shift As Integer)

UnsavedPatch = True
If currentPatchName = "default 1:1 patch" Then currentPatchName = "new patch"
Select Case KeyCode
 Case vbKeyReturn, vbKeyTab, vbKeyDown
    If MSFlexGrid1.Row < 512 Then
        MSFlexGrid1.Row = MSFlexGrid1.Row + 1
        selRow
    End If
 Case vbKeyUp
    If MSFlexGrid1.Row > 0 Then
        MSFlexGrid1.Row = MSFlexGrid1.Row - 1
        selRow
    End If
End Select

End Sub
